org.keycloak.broker.oidc

## Class OIDCIdentityProviderFactory

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<OIDCIdentityProvider>
  - - org.keycloak.broker.oidc.OIDCIdentityProviderFactory

- All Implemented Interfaces:
    IdentityProviderFactory<OIDCIdentityProvider>, ProviderFactory<OIDCIdentityProvider>

      public class OIDCIdentityProviderFactory
      extends AbstractIdentityProviderFactory<OIDCIdentityProvider>

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCIdentityProviderFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OIDCIdentityProvider` | `create(KeycloakSession session, IdentityProviderModel model)` Creates an `IdentityProvider` based on the configuration contained in `model`.
    `OIDCIdentityProviderConfig` | `createConfig()` Creates a provider specific `IdentityProviderModel` instance.
    `String` | `getId()`
    `String` | `getName()` A friendly name for this factory.
    `Map<String,String>` | `parseConfig(KeycloakSession session, InputStream inputStream)` Creates an `IdentityProvider` based on the configuration from `inputStream`.
    `protected static Map<String,String>` | `parseOIDCConfig(KeycloakSession session, InputStream inputStream)`

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderFactory

      `close, create, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OIDCIdentityProviderFactory

          public OIDCIdentityProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IdentityProviderFactory`

      A friendly name for this factory.

      Returns:

    - #### create

          public OIDCIdentityProvider create(KeycloakSession session,
                                             IdentityProviderModel model)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration contained in `model`.

        `model` - The configuration to be used to create the identity provider.
      Returns:

    - #### createConfig

          public OIDCIdentityProviderConfig createConfig()

      Description copied from interface: `IdentityProviderFactory`

      Creates a provider specific `IdentityProviderModel` instance.

      Providers may want to implement their own `IdentityProviderModel` type so that validations can be performed when managing the provider configuration

      Returns:
        the provider specific instance

    - #### getId

          public String getId()

    - #### parseConfig

          public Map<String,String> parseConfig(KeycloakSession session,
                                                InputStream inputStream)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration from `inputStream`.

      Specified by:
        `parseConfig` in interface `IdentityProviderFactory<OIDCIdentityProvider>`
      Overrides:
        `parseConfig` in class `AbstractIdentityProviderFactory<OIDCIdentityProvider>`
        `inputStream` - The input stream from where configuration will be loaded from..
      Returns:

    - #### parseOIDCConfig

          protected static Map<String,String> parseOIDCConfig(KeycloakSession session,
                                                              InputStream inputStream)

Copyright © 2020 JBoss by Red Hat. All rights reserved.